Bug 56846 - gpg using insecure memory, should be installed suid
Summary: gpg using insecure memory, should be installed suid
Status: CLOSED DUPLICATE of bug 51913
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-28 18:58 UTC by Dennis Björklund
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 18:58:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Björklund 2001-11-28 18:58:39 UTC
When I run gpg I get

gpg: Warning: using insecure memory!

According to gpg's manual it shuld be installed suid and it drops root
privileges as soon as locked memory is allocated.

Small change to the rpm is all that is needed.

Comment 1 Nalin Dahyabhai 2002-01-18 18:10:05 UTC

*** This bug has been marked as a duplicate of 51913 ***


Note You need to log in before you can comment on or make changes to this bug.